unit FormMsgBox;

{**********************************************************************}
{                                                                      }
{   FormMsgBox                                                         }
{                                                                      }
{   basic message box                                                  }
{                                                                      }
{   Version     v0.96/12.05.05                                         }
{   Copyright   (c) 2003-2005 by DiK                                   }
{                                                                      }
{**********************************************************************}

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, StdCtrls,
  Common, FormDlgs, Menus;

type
  TFrmMsgBox = class(TFrmDlgs)
    LblMsg: TLabel;
  end;

function DlgMsgBox(Title, MsgText: string): Integer;

function WinDlgMsgBox(Title, MsgText: PSalStr): Integer; stdcall;

{**********************************************************************}
{   implementation                                                     }
{**********************************************************************}

implementation

{$R *.dfm}

{----------------------------------------------------------------------}

function DlgMsgBox(Title, MsgText: string): Integer;
var
  Form: TFrmMsgBox;
begin
  Form := TFrmMsgBox.Create(nil);
  try
    try
      with Form do
      begin
        Caption := Title;
        LblMsg.Caption := MsgText;
        Result := Execute;
      end;
    except
      Result := Form.LastError;
    end;
  finally
    Form.Free;
  end;
end;

{----------------------------------------------------------------------}

function WinDlgMsgBox(Title, MsgText: PSalStr): Integer;
begin
  Result := DlgMsgBox(GetSalStr(Title), GetSalStr(MsgText));
end;

end.
