unit FormYesNoBox;

{**********************************************************************}
{                                                                      }
{   FormYesNo                                                          }
{                                                                      }
{   basic message box                                                  }
{                                                                      }
{   Version     v0.96/12.05.05                                         }
{   Copyright   (c) 2003-2005 by DiK                                   }
{                                                                      }
{**********************************************************************}

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms, StdCtrls,
  Menus, Common, FormDlgs, FormMsgBox;

type
  TFrmYesNoBox = class(TFrmMsgBox)
    BtnNo: TButton;
  end;

function DlgYesNoBox(Title, MsgText: string): Integer;

function WinDlgYesNoBox(Title, MsgText: PSalStr): Integer; stdcall;

{**********************************************************************}
{   implementation                                                     }
{**********************************************************************}

implementation

{$R *.dfm}

{----------------------------------------------------------------------}

function DlgYesNoBox(Title, MsgText: string): Integer;
var
  Form: TFrmYesNoBox;
begin
  Form := TFrmYesNoBox.Create(nil);
  try
    try
      with Form do
      begin
        Caption := Title;
        LblMsg.Caption := MsgText;
        Result := Execute;
      end;
    except
      Result := Form.LastError;
    end;
  finally
    Form.Free;
  end;
end;

{----------------------------------------------------------------------}

function WinDlgYesNoBox(Title, MsgText: PSalStr): Integer;
begin
  Result := DlgYesNoBox(GetSalStr(Title), GetSalStr(MsgText));
end;

end.
