unit FormChar;

{**********************************************************************}
{                                                                      }
{   FormChar                                                           }
{                                                                      }
{   special character dialog                                                        }
{                                                                      }
{   Version     v0.96/12.05.05                                         }
{   Copyright   (c) 2003-2005 by DiK                                   }
{                                                                      }
{**********************************************************************}

interface

uses
  Windows, Messages, SysUtils, Classes, Controls, Forms,
  Menus, StdCtrls, ComCtrls, FormDlgs;

type
  TFrmChar = class(TFrmDlgs)
    LblValue: TLabel;
    EdtValue: TEdit;
    UpDnValue: TUpDown;
    LblChar: TLabel;
    EdtChar: TEdit;
    procedure EdtValueChange(Sender: TObject);
    procedure EdtCharChange(Sender: TObject);
  end;

function GetSpecialChar(C: Integer): Integer;

{**********************************************************************}
{   implementation                                                     }
{**********************************************************************}

implementation

{$R *.dfm}

{----------------------------------------------------------------------}

function GetSpecialChar(C: Integer): Integer;
var
  RC: Integer;
  Form: TFrmChar;
begin
  Form := TFrmChar.Create(nil);
  try
    try
      with Form do
      begin
        UpDnValue.Position := C;
        RC := Execute;
        if RC = ID_OK then
          Result := UpDnValue.Position
        else
          Result := -1;
      end;
    except
      Result := -1;
    end;
  finally
    Form.Free;
  end;
end;

{----------------------------------------------------------------------}

procedure TFrmChar.EdtValueChange(Sender: TObject);
begin
  EdtChar.Text := Chr(UpDnValue.Position);
end;

procedure TFrmChar.EdtCharChange(Sender: TObject);
var
  S: string;
begin
  EdtChar.SelectAll;
  S := EdtChar.Text;
  if Length(S) > 0 then UpDnValue.Position := Ord(S[1]);
end;

end.
